<?php
global $bp, $post, $gp_settings, $paged;
require(ghostpool_inc . 'options.php');

$user_id = $bp->displayed_user->id;
    
$args = $GLOBALS['wp_query']->query; 
$args['ignore_sticky_posts'] = 1;
$args['orderby'] = $orderby;
$args['order'] = $order;
$args['paged'] = $paged;
$args['post_status'] = $post_status;
$args['posts_per_page'] = 10; //$gp_settings['posts_per_page'];
$args['category'] = get_cat_id('dedication');
$args['meta_key'] = 'ghostpool_destination_user_id';
$args['meta_value'] = $user_id;

query_posts($args);

$gp_settings['thumbnail_width'] = $theme_cat_thumbnail_width;
$gp_settings['thumbnail_height'] = $theme_cat_thumbnail_height;

include(dirname(__FILE__).'/../../post-loop-dedication-template.php');

wp_reset_postdata();
?>
